#source("Avocado-RCB.R",print.eval=TRUE)#
#Does anova for Avocado Data
#Exercise 1.19
data<-read.table("Data/Avocado.txt",sep = "",header=T)
Block<-as.character(data[,1])
Shipping<-as.character(data[,2])
Storage<-as.character(data[,3])
Y<-data[,4]
aovdata <- data.frame(Block,Shipping,Storage,Y)
#--------RCB ANOVA ---------------------
#----------This gives the wrong anova table, pooling everything----------------
summary(aov(Y~Block+Shipping+Storage+Shipping:Storage,data=aovdata))
#---------This gives the correct anova with individual block x treatment interaction----------
summary(aov(Y~Block+Shipping+Storage+Shipping:Storage+Error(Block/Block:Shipping:Storage),data=aovdata))
#---------This gives the correct anova with a pooled block x treatment interaction----------
summary(aov(Y~Block*Shipping*Storage),data=aovdata)