#source("OzoneSSP.R",print.eval=TRUE)#
#Does split split plot anova for ozone data
data<-read.table("Data/OzoneSSP.txt",sep = "",header=T)
Ozone<-as.character(data[,1])
Chamber<-as.character(data[,2])
Variety<-as.character(data[,3])
Location<-as.character(data[,4])
Y<-data[,5]
aovdata <- data.frame(Y,Ozone,Chamber,Variety,Location)
#-----------------------------------------------------------------------------
#--------This gives the correct analysis with all tests OK--------------------
summary(aov(Y ~Ozone*Variety*Location+Error(Chamber/Variety),data=aovdata))
#-----------------------------------------------------------------------------
#-----------------------------------------------------------------------------
#-----------------------------------------------------------------------------
#--------Here are cell means-------------------------------------------------
tab<-list(Ozone,Variety)
round(tapply(Y,tab,mean),2)
#-----------------------------------------------------------------------------


